ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.54 by root, Tue Oct 25 20:08:02 2005 UTC vs.
Revision 1.67 by root, Wed Jan 11 23:08:54 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='MCOMMON' 313ac_subst_files='MCOMMON'
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
881 --enable-fading enable colors fading when off focus 881 --enable-fading enable colors fading when off focus
882 --enable-menubar enable menubar 882 --enable-menubar enable menubar
883 --enable-rxvt-scroll enable rxvt style scrollbar 883 --enable-rxvt-scroll enable rxvt style scrollbar
884 --enable-next-scroll enable NeXT style scrollbar 884 --enable-next-scroll enable NeXT style scrollbar
885 --enable-xterm-scroll enable Xterm style scrollbar 885 --enable-xterm-scroll enable Xterm style scrollbar
886 --enable-perl enable embedded perl interpreter
886 --enable-plain-scroll enable plain style scrollbar 887 --enable-plain-scroll enable plain style scrollbar
887 --enable-half-shadow use half width/height shadow on rxvt scrollbar 888 --enable-half-shadow use half width/height shadow on rxvt scrollbar
888 --enable-xim XIM (X Input Method) protocol support 889 --enable-xim XIM (X Input Method) protocol support
889 --enable-ttygid enable tty setting to group named "tty" 890 --enable-ttygid enable tty setting to group named "tty"
890 --disable-backspace-key disable handling of the backspace key 891 --disable-backspace-key disable handling of the backspace key
891 --disable-delete-key disable handling of the delete key 892 --disable-delete-key disable handling of the delete key
892 --disable-resources disable all resource checking 893 --disable-resources disable all resource checking
893 --enable-xgetdefault enable resources via X instead of our small version
894 --enable-8bitctrls enable 8 bit control sequences (not recommended) 894 --enable-8bitctrls enable 8 bit control sequences (not recommended)
895 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt) 895 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt)
896 --enable-strings enable some replacement system functions 896 --enable-strings enable some replacement system functions
897 --disable-swapscreen disable swap screen support 897 --disable-swapscreen disable swap screen support
898 --enable-iso14755 enable support for extended ISO 14755 modes 898 --enable-iso14755 enable support for extended ISO 14755 modes
3612 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS" 3612 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS"
3613 3613
3614fi 3614fi
3615 3615
3616 3616
3617echo "$as_me:$LINENO: checking for setlocale" >&5
3618echo $ECHO_N "checking for setlocale... $ECHO_C" >&6
3619if test "${ac_cv_func_setlocale+set}" = set; then
3620 echo $ECHO_N "(cached) $ECHO_C" >&6
3621else
3622 cat >conftest.$ac_ext <<_ACEOF
3623/* confdefs.h. */
3624_ACEOF
3625cat confdefs.h >>conftest.$ac_ext
3626cat >>conftest.$ac_ext <<_ACEOF
3627/* end confdefs.h. */
3628/* Define setlocale to an innocuous variant, in case <limits.h> declares setlocale.
3629 For example, HP-UX 11i <limits.h> declares gettimeofday. */
3630#define setlocale innocuous_setlocale
3631
3632/* System header to define __stub macros and hopefully few prototypes,
3633 which can conflict with char setlocale (); below.
3634 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3635 <limits.h> exists even on freestanding compilers. */
3636
3637#ifdef __STDC__
3638# include <limits.h>
3639#else
3640# include <assert.h>
3641#endif
3642
3643#undef setlocale
3644
3645/* Override any gcc2 internal prototype to avoid an error. */
3646#ifdef __cplusplus
3647extern "C"
3648{
3649#endif
3650/* We use char because int might match the return type of a gcc2
3651 builtin and then its argument prototype would still apply. */
3652char setlocale ();
3653/* The GNU C library defines this for functions which it implements
3654 to always fail with ENOSYS. Some functions are actually named
3655 something starting with __ and the normal name is an alias. */
3656#if defined (__stub_setlocale) || defined (__stub___setlocale)
3657choke me
3658#else
3659char (*f) () = setlocale;
3660#endif
3661#ifdef __cplusplus
3662}
3663#endif
3664
3665int
3666main ()
3667{
3668return f != setlocale;
3669 ;
3670 return 0;
3671}
3672_ACEOF
3673rm -f conftest.$ac_objext conftest$ac_exeext
3674if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3675 (eval $ac_link) 2>conftest.er1
3676 ac_status=$?
3677 grep -v '^ *+' conftest.er1 >conftest.err
3678 rm -f conftest.er1
3679 cat conftest.err >&5
3680 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3681 (exit $ac_status); } &&
3682 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3683 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3684 (eval $ac_try) 2>&5
3685 ac_status=$?
3686 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3687 (exit $ac_status); }; } &&
3688 { ac_try='test -s conftest$ac_exeext'
3689 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3690 (eval $ac_try) 2>&5
3691 ac_status=$?
3692 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3693 (exit $ac_status); }; }; then
3694 ac_cv_func_setlocale=yes
3695else
3696 echo "$as_me: failed program was:" >&5
3697sed 's/^/| /' conftest.$ac_ext >&5
3698
3699ac_cv_func_setlocale=no
3700fi
3701rm -f conftest.err conftest.$ac_objext \
3702 conftest$ac_exeext conftest.$ac_ext
3703fi
3704echo "$as_me:$LINENO: result: $ac_cv_func_setlocale" >&5
3705echo "${ECHO_T}$ac_cv_func_setlocale" >&6
3706if test $ac_cv_func_setlocale = yes; then
3707 :
3708else
3617echo "$as_me:$LINENO: checking for setlocale in -lxpg4" >&5 3709 echo "$as_me:$LINENO: checking for setlocale in -lxpg4" >&5
3618echo $ECHO_N "checking for setlocale in -lxpg4... $ECHO_C" >&6 3710echo $ECHO_N "checking for setlocale in -lxpg4... $ECHO_C" >&6
3619if test "${ac_cv_lib_xpg4_setlocale+set}" = set; then 3711if test "${ac_cv_lib_xpg4_setlocale+set}" = set; then
3620 echo $ECHO_N "(cached) $ECHO_C" >&6 3712 echo $ECHO_N "(cached) $ECHO_C" >&6
3621else 3713else
3622 ac_check_lib_save_LIBS=$LIBS 3714 ac_check_lib_save_LIBS=$LIBS
3679echo "${ECHO_T}$ac_cv_lib_xpg4_setlocale" >&6 3771echo "${ECHO_T}$ac_cv_lib_xpg4_setlocale" >&6
3680if test $ac_cv_lib_xpg4_setlocale = yes; then 3772if test $ac_cv_lib_xpg4_setlocale = yes; then
3681 LIBS="$LIBS -lxpg4" 3773 LIBS="$LIBS -lxpg4"
3682fi 3774fi
3683 3775
3776fi
3684 3777
3778
3779echo "$as_me:$LINENO: checking for gethostbyname" >&5
3780echo $ECHO_N "checking for gethostbyname... $ECHO_C" >&6
3781if test "${ac_cv_func_gethostbyname+set}" = set; then
3782 echo $ECHO_N "(cached) $ECHO_C" >&6
3783else
3784 cat >conftest.$ac_ext <<_ACEOF
3785/* confdefs.h. */
3786_ACEOF
3787cat confdefs.h >>conftest.$ac_ext
3788cat >>conftest.$ac_ext <<_ACEOF
3789/* end confdefs.h. */
3790/* Define gethostbyname to an innocuous variant, in case <limits.h> declares gethostbyname.
3791 For example, HP-UX 11i <limits.h> declares gettimeofday. */
3792#define gethostbyname innocuous_gethostbyname
3793
3794/* System header to define __stub macros and hopefully few prototypes,
3795 which can conflict with char gethostbyname (); below.
3796 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3797 <limits.h> exists even on freestanding compilers. */
3798
3799#ifdef __STDC__
3800# include <limits.h>
3801#else
3802# include <assert.h>
3803#endif
3804
3805#undef gethostbyname
3806
3807/* Override any gcc2 internal prototype to avoid an error. */
3808#ifdef __cplusplus
3809extern "C"
3810{
3811#endif
3812/* We use char because int might match the return type of a gcc2
3813 builtin and then its argument prototype would still apply. */
3814char gethostbyname ();
3815/* The GNU C library defines this for functions which it implements
3816 to always fail with ENOSYS. Some functions are actually named
3817 something starting with __ and the normal name is an alias. */
3818#if defined (__stub_gethostbyname) || defined (__stub___gethostbyname)
3819choke me
3820#else
3821char (*f) () = gethostbyname;
3822#endif
3823#ifdef __cplusplus
3824}
3825#endif
3826
3827int
3828main ()
3829{
3830return f != gethostbyname;
3831 ;
3832 return 0;
3833}
3834_ACEOF
3835rm -f conftest.$ac_objext conftest$ac_exeext
3836if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3837 (eval $ac_link) 2>conftest.er1
3838 ac_status=$?
3839 grep -v '^ *+' conftest.er1 >conftest.err
3840 rm -f conftest.er1
3841 cat conftest.err >&5
3842 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3843 (exit $ac_status); } &&
3844 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3845 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3846 (eval $ac_try) 2>&5
3847 ac_status=$?
3848 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3849 (exit $ac_status); }; } &&
3850 { ac_try='test -s conftest$ac_exeext'
3851 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3852 (eval $ac_try) 2>&5
3853 ac_status=$?
3854 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3855 (exit $ac_status); }; }; then
3856 ac_cv_func_gethostbyname=yes
3857else
3858 echo "$as_me: failed program was:" >&5
3859sed 's/^/| /' conftest.$ac_ext >&5
3860
3861ac_cv_func_gethostbyname=no
3862fi
3863rm -f conftest.err conftest.$ac_objext \
3864 conftest$ac_exeext conftest.$ac_ext
3865fi
3866echo "$as_me:$LINENO: result: $ac_cv_func_gethostbyname" >&5
3867echo "${ECHO_T}$ac_cv_func_gethostbyname" >&6
3868if test $ac_cv_func_gethostbyname = yes; then
3869 :
3870else
3685echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5 3871 echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5
3686echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6 3872echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6
3687if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then 3873if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then
3688 echo $ECHO_N "(cached) $ECHO_C" >&6 3874 echo $ECHO_N "(cached) $ECHO_C" >&6
3689else 3875else
3690 ac_check_lib_save_LIBS=$LIBS 3876 ac_check_lib_save_LIBS=$LIBS
3747echo "${ECHO_T}$ac_cv_lib_nsl_gethostbyname" >&6 3933echo "${ECHO_T}$ac_cv_lib_nsl_gethostbyname" >&6
3748if test $ac_cv_lib_nsl_gethostbyname = yes; then 3934if test $ac_cv_lib_nsl_gethostbyname = yes; then
3749 LIBS="$LIBS -lnsl" 3935 LIBS="$LIBS -lnsl"
3750fi 3936fi
3751 3937
3938fi
3939
3940echo "$as_me:$LINENO: checking for socket" >&5
3941echo $ECHO_N "checking for socket... $ECHO_C" >&6
3942if test "${ac_cv_func_socket+set}" = set; then
3943 echo $ECHO_N "(cached) $ECHO_C" >&6
3944else
3945 cat >conftest.$ac_ext <<_ACEOF
3946/* confdefs.h. */
3947_ACEOF
3948cat confdefs.h >>conftest.$ac_ext
3949cat >>conftest.$ac_ext <<_ACEOF
3950/* end confdefs.h. */
3951/* Define socket to an innocuous variant, in case <limits.h> declares socket.
3952 For example, HP-UX 11i <limits.h> declares gettimeofday. */
3953#define socket innocuous_socket
3954
3955/* System header to define __stub macros and hopefully few prototypes,
3956 which can conflict with char socket (); below.
3957 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3958 <limits.h> exists even on freestanding compilers. */
3959
3960#ifdef __STDC__
3961# include <limits.h>
3962#else
3963# include <assert.h>
3964#endif
3965
3966#undef socket
3967
3968/* Override any gcc2 internal prototype to avoid an error. */
3969#ifdef __cplusplus
3970extern "C"
3971{
3972#endif
3973/* We use char because int might match the return type of a gcc2
3974 builtin and then its argument prototype would still apply. */
3975char socket ();
3976/* The GNU C library defines this for functions which it implements
3977 to always fail with ENOSYS. Some functions are actually named
3978 something starting with __ and the normal name is an alias. */
3979#if defined (__stub_socket) || defined (__stub___socket)
3980choke me
3981#else
3982char (*f) () = socket;
3983#endif
3984#ifdef __cplusplus
3985}
3986#endif
3987
3988int
3989main ()
3990{
3991return f != socket;
3992 ;
3993 return 0;
3994}
3995_ACEOF
3996rm -f conftest.$ac_objext conftest$ac_exeext
3997if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3998 (eval $ac_link) 2>conftest.er1
3999 ac_status=$?
4000 grep -v '^ *+' conftest.er1 >conftest.err
4001 rm -f conftest.er1
4002 cat conftest.err >&5
4003 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4004 (exit $ac_status); } &&
4005 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4006 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4007 (eval $ac_try) 2>&5
4008 ac_status=$?
4009 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4010 (exit $ac_status); }; } &&
4011 { ac_try='test -s conftest$ac_exeext'
4012 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4013 (eval $ac_try) 2>&5
4014 ac_status=$?
4015 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4016 (exit $ac_status); }; }; then
4017 ac_cv_func_socket=yes
4018else
4019 echo "$as_me: failed program was:" >&5
4020sed 's/^/| /' conftest.$ac_ext >&5
4021
4022ac_cv_func_socket=no
4023fi
4024rm -f conftest.err conftest.$ac_objext \
4025 conftest$ac_exeext conftest.$ac_ext
4026fi
4027echo "$as_me:$LINENO: result: $ac_cv_func_socket" >&5
4028echo "${ECHO_T}$ac_cv_func_socket" >&6
4029if test $ac_cv_func_socket = yes; then
4030 :
4031else
3752echo "$as_me:$LINENO: checking for socket in -lsocket" >&5 4032 echo "$as_me:$LINENO: checking for socket in -lsocket" >&5
3753echo $ECHO_N "checking for socket in -lsocket... $ECHO_C" >&6 4033echo $ECHO_N "checking for socket in -lsocket... $ECHO_C" >&6
3754if test "${ac_cv_lib_socket_socket+set}" = set; then 4034if test "${ac_cv_lib_socket_socket+set}" = set; then
3755 echo $ECHO_N "(cached) $ECHO_C" >&6 4035 echo $ECHO_N "(cached) $ECHO_C" >&6
3756else 4036else
3757 ac_check_lib_save_LIBS=$LIBS 4037 ac_check_lib_save_LIBS=$LIBS
3814echo "${ECHO_T}$ac_cv_lib_socket_socket" >&6 4094echo "${ECHO_T}$ac_cv_lib_socket_socket" >&6
3815if test $ac_cv_lib_socket_socket = yes; then 4095if test $ac_cv_lib_socket_socket = yes; then
3816 LIBS="$LIBS -lsocket" 4096 LIBS="$LIBS -lsocket"
3817fi 4097fi
3818 4098
4099fi
4100
4101
4102echo "$as_me:$LINENO: checking for sched_yield" >&5
4103echo $ECHO_N "checking for sched_yield... $ECHO_C" >&6
4104if test "${ac_cv_func_sched_yield+set}" = set; then
4105 echo $ECHO_N "(cached) $ECHO_C" >&6
4106else
4107 cat >conftest.$ac_ext <<_ACEOF
4108/* confdefs.h. */
4109_ACEOF
4110cat confdefs.h >>conftest.$ac_ext
4111cat >>conftest.$ac_ext <<_ACEOF
4112/* end confdefs.h. */
4113/* Define sched_yield to an innocuous variant, in case <limits.h> declares sched_yield.
4114 For example, HP-UX 11i <limits.h> declares gettimeofday. */
4115#define sched_yield innocuous_sched_yield
4116
4117/* System header to define __stub macros and hopefully few prototypes,
4118 which can conflict with char sched_yield (); below.
4119 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4120 <limits.h> exists even on freestanding compilers. */
4121
4122#ifdef __STDC__
4123# include <limits.h>
4124#else
4125# include <assert.h>
4126#endif
4127
4128#undef sched_yield
4129
4130/* Override any gcc2 internal prototype to avoid an error. */
4131#ifdef __cplusplus
4132extern "C"
4133{
4134#endif
4135/* We use char because int might match the return type of a gcc2
4136 builtin and then its argument prototype would still apply. */
4137char sched_yield ();
4138/* The GNU C library defines this for functions which it implements
4139 to always fail with ENOSYS. Some functions are actually named
4140 something starting with __ and the normal name is an alias. */
4141#if defined (__stub_sched_yield) || defined (__stub___sched_yield)
4142choke me
4143#else
4144char (*f) () = sched_yield;
4145#endif
4146#ifdef __cplusplus
4147}
4148#endif
4149
4150int
4151main ()
4152{
4153return f != sched_yield;
4154 ;
4155 return 0;
4156}
4157_ACEOF
4158rm -f conftest.$ac_objext conftest$ac_exeext
4159if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4160 (eval $ac_link) 2>conftest.er1
4161 ac_status=$?
4162 grep -v '^ *+' conftest.er1 >conftest.err
4163 rm -f conftest.er1
4164 cat conftest.err >&5
4165 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4166 (exit $ac_status); } &&
4167 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4168 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4169 (eval $ac_try) 2>&5
4170 ac_status=$?
4171 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4172 (exit $ac_status); }; } &&
4173 { ac_try='test -s conftest$ac_exeext'
4174 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4175 (eval $ac_try) 2>&5
4176 ac_status=$?
4177 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4178 (exit $ac_status); }; }; then
4179 ac_cv_func_sched_yield=yes
4180else
4181 echo "$as_me: failed program was:" >&5
4182sed 's/^/| /' conftest.$ac_ext >&5
4183
4184ac_cv_func_sched_yield=no
4185fi
4186rm -f conftest.err conftest.$ac_objext \
4187 conftest$ac_exeext conftest.$ac_ext
4188fi
4189echo "$as_me:$LINENO: result: $ac_cv_func_sched_yield" >&5
4190echo "${ECHO_T}$ac_cv_func_sched_yield" >&6
4191if test $ac_cv_func_sched_yield = yes; then
4192 :
4193else
4194 echo "$as_me:$LINENO: checking for sched_yield in -lrt" >&5
4195echo $ECHO_N "checking for sched_yield in -lrt... $ECHO_C" >&6
4196if test "${ac_cv_lib_rt_sched_yield+set}" = set; then
4197 echo $ECHO_N "(cached) $ECHO_C" >&6
4198else
4199 ac_check_lib_save_LIBS=$LIBS
4200LIBS="-lrt $LIBS"
4201cat >conftest.$ac_ext <<_ACEOF
4202/* confdefs.h. */
4203_ACEOF
4204cat confdefs.h >>conftest.$ac_ext
4205cat >>conftest.$ac_ext <<_ACEOF
4206/* end confdefs.h. */
4207
4208/* Override any gcc2 internal prototype to avoid an error. */
4209#ifdef __cplusplus
4210extern "C"
4211#endif
4212/* We use char because int might match the return type of a gcc2
4213 builtin and then its argument prototype would still apply. */
4214char sched_yield ();
4215int
4216main ()
4217{
4218sched_yield ();
4219 ;
4220 return 0;
4221}
4222_ACEOF
4223rm -f conftest.$ac_objext conftest$ac_exeext
4224if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4225 (eval $ac_link) 2>conftest.er1
4226 ac_status=$?
4227 grep -v '^ *+' conftest.er1 >conftest.err
4228 rm -f conftest.er1
4229 cat conftest.err >&5
4230 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4231 (exit $ac_status); } &&
4232 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4233 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4234 (eval $ac_try) 2>&5
4235 ac_status=$?
4236 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4237 (exit $ac_status); }; } &&
4238 { ac_try='test -s conftest$ac_exeext'
4239 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4240 (eval $ac_try) 2>&5
4241 ac_status=$?
4242 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4243 (exit $ac_status); }; }; then
4244 ac_cv_lib_rt_sched_yield=yes
4245else
4246 echo "$as_me: failed program was:" >&5
4247sed 's/^/| /' conftest.$ac_ext >&5
4248
4249ac_cv_lib_rt_sched_yield=no
4250fi
4251rm -f conftest.err conftest.$ac_objext \
4252 conftest$ac_exeext conftest.$ac_ext
4253LIBS=$ac_check_lib_save_LIBS
4254fi
4255echo "$as_me:$LINENO: result: $ac_cv_lib_rt_sched_yield" >&5
4256echo "${ECHO_T}$ac_cv_lib_rt_sched_yield" >&6
4257if test $ac_cv_lib_rt_sched_yield = yes; then
4258 LIBS="$LIBS -lrt"
4259fi
4260
4261fi
4262
4263
4264echo "$as_me:$LINENO: checking for sched_yield support" >&5
4265echo $ECHO_N "checking for sched_yield support... $ECHO_C" >&6
4266cat >conftest.$ac_ext <<_ACEOF
4267/* confdefs.h. */
4268_ACEOF
4269cat confdefs.h >>conftest.$ac_ext
4270cat >>conftest.$ac_ext <<_ACEOF
4271/* end confdefs.h. */
4272#include <sched.h>
4273int
4274main ()
4275{
4276sched_yield ()
4277 ;
4278 return 0;
4279}
4280_ACEOF
4281rm -f conftest.$ac_objext conftest$ac_exeext
4282if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4283 (eval $ac_link) 2>conftest.er1
4284 ac_status=$?
4285 grep -v '^ *+' conftest.er1 >conftest.err
4286 rm -f conftest.er1
4287 cat conftest.err >&5
4288 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4289 (exit $ac_status); } &&
4290 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4291 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4292 (eval $ac_try) 2>&5
4293 ac_status=$?
4294 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4295 (exit $ac_status); }; } &&
4296 { ac_try='test -s conftest$ac_exeext'
4297 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4298 (eval $ac_try) 2>&5
4299 ac_status=$?
4300 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4301 (exit $ac_status); }; }; then
4302 echo "$as_me:$LINENO: result: yes" >&5
4303echo "${ECHO_T}yes" >&6
4304
4305cat >>confdefs.h <<\_ACEOF
4306#define HAVE_SCHED_YIELD 1
4307_ACEOF
4308
4309else
4310 echo "$as_me: failed program was:" >&5
4311sed 's/^/| /' conftest.$ac_ext >&5
4312
4313echo "$as_me:$LINENO: result: no" >&5
4314echo "${ECHO_T}no" >&6
4315fi
4316rm -f conftest.err conftest.$ac_objext \
4317 conftest$ac_exeext conftest.$ac_ext
3819 4318
3820 4319
3821MALLOC_TYPE=S 4320MALLOC_TYPE=S
3822 4321
3823support_addstrings=no 4322support_addstrings=no
3824support_frills=yes 4323support_frills=yes
3825support_inheritpixmap=no 4324support_inheritpixmap=yes
3826support_tinting=yes 4325support_tinting=yes
3827support_fading=yes 4326support_fading=yes
3828support_keepscrolling=yes 4327support_keepscrolling=yes
3829support_selectionscrolling=yes 4328support_selectionscrolling=yes
3830support_menubar=no 4329support_menubar=no
3838support_scroll_rxvt=yes 4337support_scroll_rxvt=yes
3839support_scroll_next=yes 4338support_scroll_next=yes
3840support_scroll_xterm=yes 4339support_scroll_xterm=yes
3841support_scroll_plain=yes 4340support_scroll_plain=yes
3842support_xim=yes 4341support_xim=yes
3843support_xpm=no 4342support_xpm=yes
3844support_xft=yes 4343support_xft=yes
3845support_unicode3=no 4344support_unicode3=no
3846support_combining=yes 4345support_combining=yes
3847support_8bitctrls=no 4346support_8bitctrls=no
3848support_iso14755=yes 4347support_iso14755=yes
3849support_styles=yes 4348support_styles=yes
4349support_perl=yes
3850codesets=all 4350codesets=all
3851 4351
3852 4352
3853if test "x$enable_shared" = xyes; then 4353if test "x$enable_shared" = xyes; then
3854 4354
3890 support_unicode3=no 4390 support_unicode3=no
3891 support_combining=no 4391 support_combining=no
3892 support_8bitctrls=no 4392 support_8bitctrls=no
3893 support_iso14755=no 4393 support_iso14755=no
3894 support_styles=no 4394 support_styles=no
4395 support_perl=no
3895 codesets= 4396 codesets=
3896 fi 4397 fi
3897 if test x$enableval = xyes; then 4398 if test x$enableval = xyes; then
3898 support_24bit=yes 4399 support_24bit=yes
3899 support_frills=yes 4400 support_frills=yes
3920 support_unicode3=yes 4421 support_unicode3=yes
3921 support_combining=yes 4422 support_combining=yes
3922 #support_8bitctrls=yes 4423 #support_8bitctrls=yes
3923 support_iso14755=yes 4424 support_iso14755=yes
3924 support_styles=yes 4425 support_styles=yes
4426 support_perl=yes
3925 codesets=all 4427 codesets=all
3926 fi 4428 fi
3927 4429
3928fi; 4430fi;
3929 4431
4045 if test x$enableval = xyes -o x$enableval = xno; then 4547 if test x$enableval = xyes -o x$enableval = xno; then
4046 support_scroll_xterm=$enableval 4548 support_scroll_xterm=$enableval
4047 fi 4549 fi
4048fi; 4550fi;
4049 4551
4552# Check whether --enable-perl or --disable-perl was given.
4553if test "${enable_perl+set}" = set; then
4554 enableval="$enable_perl"
4555 if test x$enableval = xyes -o x$enableval = xno; then
4556 support_perl=$enableval
4557 fi
4558fi;
4559
4050# Check whether --enable-plain-scroll or --disable-plain-scroll was given. 4560# Check whether --enable-plain-scroll or --disable-plain-scroll was given.
4051if test "${enable_plain_scroll+set}" = set; then 4561if test "${enable_plain_scroll+set}" = set; then
4052 enableval="$enable_plain_scroll" 4562 enableval="$enable_plain_scroll"
4053 if test x$enableval = xyes -o x$enableval = xno; then 4563 if test x$enableval = xyes -o x$enableval = xno; then
4054 support_scroll_plain=$enableval 4564 support_scroll_plain=$enableval
4123 enableval="$enable_resources" 4633 enableval="$enable_resources"
4124 if test x$enableval = xno; then 4634 if test x$enableval = xno; then
4125 4635
4126cat >>confdefs.h <<\_ACEOF 4636cat >>confdefs.h <<\_ACEOF
4127#define NO_RESOURCES 1 4637#define NO_RESOURCES 1
4128_ACEOF
4129
4130 fi
4131fi;
4132
4133# Check whether --enable-xgetdefault or --disable-xgetdefault was given.
4134if test "${enable_xgetdefault+set}" = set; then
4135 enableval="$enable_xgetdefault"
4136 if test x$enableval = xyes; then
4137
4138cat >>confdefs.h <<\_ACEOF
4139#define USE_XGETDEFAULT 1
4140_ACEOF 4638_ACEOF
4141 4639
4142 fi 4640 fi
4143fi; 4641fi;
4144 4642
6797 7295
6798 7296
6799 7297
6800 7298
6801 7299
7300
7301
6802for ac_header in \ 7302for ac_header in \
6803 assert.h \ 7303 assert.h \
6804 fcntl.h \ 7304 fcntl.h \
6805 grp.h \ 7305 grp.h \
6806 libc.h \ 7306 libc.h \
6819 sys/time.h \ 7319 sys/time.h \
6820 utmp.h \ 7320 utmp.h \
6821 utmpx.h \ 7321 utmpx.h \
6822 stdint.h \ 7322 stdint.h \
6823 pty.h \ 7323 pty.h \
7324 util.h \
7325 libutil.h \
6824 wchar.h \ 7326 wchar.h \
6825 cwchar \ 7327 cwchar \
6826 clocale \ 7328 clocale \
6827 7329
6828do 7330do
9692 seteuid \ 10194 seteuid \
9693 setreuid \ 10195 setreuid \
9694 setsid \ 10196 setsid \
9695 setpgrp \ 10197 setpgrp \
9696 setpgid \ 10198 setpgid \
9697 openpty \
9698 _getpty \ 10199 _getpty \
10200 posix_openpt \
9699 grantpt \ 10201 grantpt \
9700 unlockpt \ 10202 unlockpt \
9701 isastream \ 10203 isastream \
9702 on_exit \ 10204 on_exit \
9703 nanosleep \ 10205 nanosleep \
11338#define HAVE_NL_LANGINFO 1 11840#define HAVE_NL_LANGINFO 1
11339_ACEOF 11841_ACEOF
11340 11842
11341fi 11843fi
11342 11844
11845echo "$as_me:$LINENO: checking for unix-compliant filehandle passing ability" >&5
11846echo $ECHO_N "checking for unix-compliant filehandle passing ability... $ECHO_C" >&6
11847if test "${rxvt_can_pass_fds+set}" = set; then
11848 echo $ECHO_N "(cached) $ECHO_C" >&6
11849else
11850 cat >conftest.$ac_ext <<_ACEOF
11851/* confdefs.h. */
11852_ACEOF
11853cat confdefs.h >>conftest.$ac_ext
11854cat >>conftest.$ac_ext <<_ACEOF
11855/* end confdefs.h. */
11856
11857#include <sys/types.h>
11858#include <sys/socket.h>
11859
11860int
11861main ()
11862{
11863
11864{
11865 msghdr msg;
11866 iovec iov;
11867 char buf [100];
11868 char data = 0;
11869
11870 iov.iov_base = &data;
11871 iov.iov_len = 1;
11872
11873 msg.msg_iov = &iov;
11874 msg.msg_iovlen = 1;
11875 msg.msg_control = buf;
11876 msg.msg_controllen = sizeof buf;
11877
11878 cmsghdr *cmsg = CMSG_FIRSTHDR (&msg);
11879 cmsg->cmsg_level = SOL_SOCKET;
11880 cmsg->cmsg_type = SCM_RIGHTS;
11881 cmsg->cmsg_len = 100;
11882
11883 *(int *)CMSG_DATA (cmsg) = 5;
11884
11885 return sendmsg (3, &msg, 0);
11886}
11887
11888 ;
11889 return 0;
11890}
11891_ACEOF
11892rm -f conftest.$ac_objext conftest$ac_exeext
11893if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11894 (eval $ac_link) 2>conftest.er1
11895 ac_status=$?
11896 grep -v '^ *+' conftest.er1 >conftest.err
11897 rm -f conftest.er1
11898 cat conftest.err >&5
11899 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11900 (exit $ac_status); } &&
11901 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11902 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11903 (eval $ac_try) 2>&5
11904 ac_status=$?
11905 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11906 (exit $ac_status); }; } &&
11907 { ac_try='test -s conftest$ac_exeext'
11908 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11909 (eval $ac_try) 2>&5
11910 ac_status=$?
11911 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11912 (exit $ac_status); }; }; then
11913 rxvt_can_pass_fds=yes
11914else
11915 echo "$as_me: failed program was:" >&5
11916sed 's/^/| /' conftest.$ac_ext >&5
11917
11918rxvt_can_pass_fds=no
11919fi
11920rm -f conftest.err conftest.$ac_objext \
11921 conftest$ac_exeext conftest.$ac_ext
11922fi
11923echo "$as_me:$LINENO: result: $rxvt_can_pass_fds" >&5
11924echo "${ECHO_T}$rxvt_can_pass_fds" >&6
11925if test x$rxvt_can_pass_fds = xyes; then
11926
11927cat >>confdefs.h <<\_ACEOF
11928#define HAVE_UNIX_FDPASS 1
11929_ACEOF
11930
11931fi
11932
11343echo "$as_me:$LINENO: checking for broken XIM callback" >&5 11933echo "$as_me:$LINENO: checking for broken XIM callback" >&5
11344echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6 11934echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6
11345if test "${rxvt_broken_ximcb+set}" = set; then 11935if test "${rxvt_broken_ximcb+set}" = set; then
11346 echo $ECHO_N "(cached) $ECHO_C" >&6 11936 echo $ECHO_N "(cached) $ECHO_C" >&6
11347else 11937else
11396#define XIMCB_PROTO_BROKEN 1 11986#define XIMCB_PROTO_BROKEN 1
11397_ACEOF 11987_ACEOF
11398 11988
11399fi 11989fi
11400 11990
11991if test x$rxvt_cv_func_posix_openpt = xno; then
11401echo "$as_me:$LINENO: checking for getpt" >&5 11992 echo "$as_me:$LINENO: checking for openpty" >&5
11402echo $ECHO_N "checking for getpt... $ECHO_C" >&6 11993echo $ECHO_N "checking for openpty... $ECHO_C" >&6
11403if test "${rxvt_cv_func_getpt+set}" = set; then 11994if test "${ac_cv_func_openpty+set}" = set; then
11404 echo $ECHO_N "(cached) $ECHO_C" >&6 11995 echo $ECHO_N "(cached) $ECHO_C" >&6
11405else 11996else
11406 cat >conftest.$ac_ext <<_ACEOF 11997 cat >conftest.$ac_ext <<_ACEOF
11407/* confdefs.h. */ 11998/* confdefs.h. */
11408_ACEOF 11999_ACEOF
11409cat confdefs.h >>conftest.$ac_ext 12000cat confdefs.h >>conftest.$ac_ext
11410cat >>conftest.$ac_ext <<_ACEOF 12001cat >>conftest.$ac_ext <<_ACEOF
11411/* end confdefs.h. */ 12002/* end confdefs.h. */
11412#define _GNU_SOURCE 12003/* Define openpty to an innocuous variant, in case <limits.h> declares openpty.
11413#ifdef HAVE_STDLIB_H 12004 For example, HP-UX 11i <limits.h> declares gettimeofday. */
11414# include <cstdlib> 12005#define openpty innocuous_openpty
12006
12007/* System header to define __stub macros and hopefully few prototypes,
12008 which can conflict with char openpty (); below.
12009 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
12010 <limits.h> exists even on freestanding compilers. */
12011
12012#ifdef __STDC__
12013# include <limits.h>
12014#else
12015# include <assert.h>
11415#endif 12016#endif
12017
12018#undef openpty
12019
12020/* Override any gcc2 internal prototype to avoid an error. */
12021#ifdef __cplusplus
12022extern "C"
12023{
12024#endif
12025/* We use char because int might match the return type of a gcc2
12026 builtin and then its argument prototype would still apply. */
12027char openpty ();
12028/* The GNU C library defines this for functions which it implements
12029 to always fail with ENOSYS. Some functions are actually named
12030 something starting with __ and the normal name is an alias. */
12031#if defined (__stub_openpty) || defined (__stub___openpty)
12032choke me
12033#else
12034char (*f) () = openpty;
12035#endif
12036#ifdef __cplusplus
12037}
12038#endif
12039
11416int 12040int
11417main () 12041main ()
11418{ 12042{
11419(void)getpt(); 12043return f != openpty;
11420 ; 12044 ;
11421 return 0; 12045 return 0;
11422} 12046}
11423_ACEOF 12047_ACEOF
11424rm -f conftest.$ac_objext conftest$ac_exeext 12048rm -f conftest.$ac_objext conftest$ac_exeext
11440 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 12064 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11441 (eval $ac_try) 2>&5 12065 (eval $ac_try) 2>&5
11442 ac_status=$? 12066 ac_status=$?
11443 echo "$as_me:$LINENO: \$? = $ac_status" >&5 12067 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11444 (exit $ac_status); }; }; then 12068 (exit $ac_status); }; }; then
11445 rxvt_cv_func_getpt=yes 12069 ac_cv_func_openpty=yes
11446else 12070else
11447 echo "$as_me: failed program was:" >&5 12071 echo "$as_me: failed program was:" >&5
11448sed 's/^/| /' conftest.$ac_ext >&5 12072sed 's/^/| /' conftest.$ac_ext >&5
11449 12073
11450rxvt_cv_func_getpt=no 12074ac_cv_func_openpty=no
11451fi 12075fi
11452rm -f conftest.err conftest.$ac_objext \ 12076rm -f conftest.err conftest.$ac_objext \
11453 conftest$ac_exeext conftest.$ac_ext 12077 conftest$ac_exeext conftest.$ac_ext
11454fi 12078fi
11455echo "$as_me:$LINENO: result: $rxvt_cv_func_getpt" >&5 12079echo "$as_me:$LINENO: result: $ac_cv_func_openpty" >&5
11456echo "${ECHO_T}$rxvt_cv_func_getpt" >&6 12080echo "${ECHO_T}$ac_cv_func_openpty" >&6
11457if test x$rxvt_cv_func_getpt = xyes; then 12081if test $ac_cv_func_openpty = yes; then
11458 12082 :
12083else
12084 echo "$as_me:$LINENO: checking for openpty in -lutil" >&5
12085echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
12086if test "${ac_cv_lib_util_openpty+set}" = set; then
12087 echo $ECHO_N "(cached) $ECHO_C" >&6
12088else
12089 ac_check_lib_save_LIBS=$LIBS
12090LIBS="-lutil $LIBS"
12091cat >conftest.$ac_ext <<_ACEOF
12092/* confdefs.h. */
12093_ACEOF
12094cat confdefs.h >>conftest.$ac_ext
11459cat >>confdefs.h <<\_ACEOF 12095cat >>conftest.$ac_ext <<_ACEOF
11460#define HAVE_GETPT 1 12096/* end confdefs.h. */
12097
12098/* Override any gcc2 internal prototype to avoid an error. */
12099#ifdef __cplusplus
12100extern "C"
12101#endif
12102/* We use char because int might match the return type of a gcc2
12103 builtin and then its argument prototype would still apply. */
12104char openpty ();
12105int
12106main ()
12107{
12108openpty ();
12109 ;
12110 return 0;
12111}
11461_ACEOF 12112_ACEOF
12113rm -f conftest.$ac_objext conftest$ac_exeext
12114if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12115 (eval $ac_link) 2>conftest.er1
12116 ac_status=$?
12117 grep -v '^ *+' conftest.er1 >conftest.err
12118 rm -f conftest.er1
12119 cat conftest.err >&5
12120 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12121 (exit $ac_status); } &&
12122 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12123 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12124 (eval $ac_try) 2>&5
12125 ac_status=$?
12126 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12127 (exit $ac_status); }; } &&
12128 { ac_try='test -s conftest$ac_exeext'
12129 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12130 (eval $ac_try) 2>&5
12131 ac_status=$?
12132 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12133 (exit $ac_status); }; }; then
12134 ac_cv_lib_util_openpty=yes
12135else
12136 echo "$as_me: failed program was:" >&5
12137sed 's/^/| /' conftest.$ac_ext >&5
12138
12139ac_cv_lib_util_openpty=no
12140fi
12141rm -f conftest.err conftest.$ac_objext \
12142 conftest$ac_exeext conftest.$ac_ext
12143LIBS=$ac_check_lib_save_LIBS
12144fi
12145echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5
12146echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
12147if test $ac_cv_lib_util_openpty = yes; then
12148 LIBS="$LIBS -lutil"
12149fi
12150
12151fi
11462 12152
11463fi 12153fi
11464 12154
11465echo "$as_me:$LINENO: checking for pty/tty type" >&5 12155echo "$as_me:$LINENO: checking for pty/tty type" >&5
11466echo $ECHO_N "checking for pty/tty type... $ECHO_C" >&6 12156echo $ECHO_N "checking for pty/tty type... $ECHO_C" >&6
11467if test "${rxvt_cv_ptys+set}" = set; then 12157if test "${rxvt_cv_ptys+set}" = set; then
11468 echo $ECHO_N "(cached) $ECHO_C" >&6 12158 echo $ECHO_N "(cached) $ECHO_C" >&6
11469else 12159else
11470 if test x$ac_cv_func_openpty = xyes; then 12160 if test x$ac_cv_func_openpty = xyes -o x$ac_cv_lib_util_openpty = xyes; then
11471 rxvt_cv_ptys=OPENPTY 12161 rxvt_cv_ptys=OPENPTY
12162 else if test x$ac_cv_func_posix_openpt = xyes; then
12163 rxvt_cv_ptys=POSIX
11472 else if test x$ac_cv_func__getpty = xyes; then 12164 else if test x$ac_cv_func__getpty = xyes; then
11473 rxvt_cv_ptys=SGI4 12165 rxvt_cv_ptys=SGI4
11474 else if test -c /dev/ttyp20; then 12166 else if test -c /dev/ttyp20; then
11475 rxvt_cv_ptys=SCO 12167 rxvt_cv_ptys=SCO
11476 else if test -c /dev/ptym/clone; then 12168 else if test -c /dev/ptym/clone; then
11477 rxvt_cv_ptys=HPUX 12169 rxvt_cv_ptys=HPUX
11478 else if test x$rxvt_cv_func_getpt = xyes; then
11479 rxvt_cv_ptys=GLIBC
11480 else if test -c /dev/ptc -a -c /dev/pts; then 12170 else if test -c /dev/ptc -a -c /dev/pts; then
11481 rxvt_cv_ptys=PTC 12171 rxvt_cv_ptys=PTC
11482 else if test -c /dev/ptc -a -d /dev/pts; then 12172 else if test -c /dev/ptc -a -d /dev/pts; then
11483 rxvt_cv_ptys=PTC 12173 rxvt_cv_ptys=PTC
11484 else if test -c /dev/ptmx -a -c /dev/pts/0; then 12174 else if test -c /dev/ptmx -a -c /dev/pts/0; then
11499 12189
11500fi 12190fi
11501echo "$as_me:$LINENO: result: $rxvt_cv_ptys" >&5 12191echo "$as_me:$LINENO: result: $rxvt_cv_ptys" >&5
11502echo "${ECHO_T}$rxvt_cv_ptys" >&6 12192echo "${ECHO_T}$rxvt_cv_ptys" >&6
11503 12193
12194if test x$rxvt_cv_ptys = xPOSIX; then
12195
12196cat >>confdefs.h <<\_ACEOF
12197#define PTYS_ARE_POSIX 1
12198_ACEOF
12199
12200fi
11504if test x$rxvt_cv_ptys = xOPENPTY; then 12201if test x$rxvt_cv_ptys = xOPENPTY; then
11505 12202
11506cat >>confdefs.h <<\_ACEOF 12203cat >>confdefs.h <<\_ACEOF
11507#define PTYS_ARE_OPENPTY 1 12204#define PTYS_ARE_OPENPTY 1
11508_ACEOF 12205_ACEOF
11531fi 12228fi
11532if test x$rxvt_cv_ptys = xSGI4; then 12229if test x$rxvt_cv_ptys = xSGI4; then
11533 12230
11534cat >>confdefs.h <<\_ACEOF 12231cat >>confdefs.h <<\_ACEOF
11535#define PTYS_ARE__GETPTY 1 12232#define PTYS_ARE__GETPTY 1
11536_ACEOF
11537
11538fi
11539if test x$rxvt_cv_ptys = xCONVEX; then
11540
11541cat >>confdefs.h <<\_ACEOF
11542#define PTYS_ARE_GETPTY 1
11543_ACEOF 12233_ACEOF
11544 12234
11545fi 12235fi
11546if test x$rxvt_cv_ptys = xGLIBC; then 12236if test x$rxvt_cv_ptys = xGLIBC; then
11547 12237
11586 12276
11587fi 12277fi
11588 12278
11589if test x$support_xft = xyes; then 12279if test x$support_xft = xyes; then
11590 LIBS="$LIBS `pkg-config xft --libs`" 12280 LIBS="$LIBS `pkg-config xft --libs`"
11591 CFLAGS="$CFLAGS `pkg-config xft --cflags`"
11592 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 12281 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
11593 12282
11594 12283
11595for ac_header in X11/Xft/Xft.h 12284for ac_header in X11/Xft/Xft.h
11596do 12285do
12054#define ENCODING_ZH_EXT 1 12743#define ENCODING_ZH_EXT 1
12055_ACEOF 12744_ACEOF
12056 ;; 12745 ;;
12057 esac 12746 esac
12058done 12747done
12748
12749IF_PERL=\#
12750if test x$support_perl = xyes; then
12751 # Extract the first word of "perl5", so it can be a program name with args.
12752set dummy perl5; ac_word=$2
12753echo "$as_me:$LINENO: checking for $ac_word" >&5
12754echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12755if test "${ac_cv_path_PERL+set}" = set; then
12756 echo $ECHO_N "(cached) $ECHO_C" >&6
12757else
12758 case $PERL in
12759 [\\/]* | ?:[\\/]*)
12760 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12761 ;;
12762 *)
12763 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12764for as_dir in $PATH
12765do
12766 IFS=$as_save_IFS
12767 test -z "$as_dir" && as_dir=.
12768 for ac_exec_ext in '' $ac_executable_extensions; do
12769 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12770 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12771 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12772 break 2
12773 fi
12774done
12775done
12776
12777 ;;
12778esac
12779fi
12780PERL=$ac_cv_path_PERL
12781
12782if test -n "$PERL"; then
12783 echo "$as_me:$LINENO: result: $PERL" >&5
12784echo "${ECHO_T}$PERL" >&6
12785else
12786 echo "$as_me:$LINENO: result: no" >&5
12787echo "${ECHO_T}no" >&6
12788fi
12789
12790 # Extract the first word of "perl", so it can be a program name with args.
12791set dummy perl; ac_word=$2
12792echo "$as_me:$LINENO: checking for $ac_word" >&5
12793echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12794if test "${ac_cv_path_PERL+set}" = set; then
12795 echo $ECHO_N "(cached) $ECHO_C" >&6
12796else
12797 case $PERL in
12798 [\\/]* | ?:[\\/]*)
12799 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12800 ;;
12801 *)
12802 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12803for as_dir in $PATH
12804do
12805 IFS=$as_save_IFS
12806 test -z "$as_dir" && as_dir=.
12807 for ac_exec_ext in '' $ac_executable_extensions; do
12808 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12809 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12810 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12811 break 2
12812 fi
12813done
12814done
12815
12816 ;;
12817esac
12818fi
12819PERL=$ac_cv_path_PERL
12820
12821if test -n "$PERL"; then
12822 echo "$as_me:$LINENO: result: $PERL" >&5
12823echo "${ECHO_T}$PERL" >&6
12824else
12825 echo "$as_me:$LINENO: result: no" >&5
12826echo "${ECHO_T}no" >&6
12827fi
12828
12829
12830 echo "$as_me:$LINENO: checking for $PERL suitability" >&5
12831echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6
12832 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then
12833
12834 save_CXXFLAGS="$CXXFLAGS"
12835 save_LIBS="$LIBS"
12836 CXXFLAGS="$CXXFLAGS `$PERL -MExtUtils::Embed -e ccopts`"
12837 LIBS="$LIBS `$PERL -MExtUtils::Embed -e ldopts`"
12838 cat >conftest.$ac_ext <<_ACEOF
12839/* confdefs.h. */
12840_ACEOF
12841cat confdefs.h >>conftest.$ac_ext
12842cat >>conftest.$ac_ext <<_ACEOF
12843/* end confdefs.h. */
12844
12845#include <EXTERN.h>
12846#include <perl.h>
12847#include <XSUB.h>
12848
12849int
12850main ()
12851{
12852
12853 PerlInterpreter *perl = perl_alloc ();
12854
12855 ;
12856 return 0;
12857}
12858_ACEOF
12859rm -f conftest.$ac_objext conftest$ac_exeext
12860if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12861 (eval $ac_link) 2>conftest.er1
12862 ac_status=$?
12863 grep -v '^ *+' conftest.er1 >conftest.err
12864 rm -f conftest.er1
12865 cat conftest.err >&5
12866 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12867 (exit $ac_status); } &&
12868 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12869 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12870 (eval $ac_try) 2>&5
12871 ac_status=$?
12872 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12873 (exit $ac_status); }; } &&
12874 { ac_try='test -s conftest$ac_exeext'
12875 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12876 (eval $ac_try) 2>&5
12877 ac_status=$?
12878 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12879 (exit $ac_status); }; }; then
12880 rxvt_perl_link=yes
12881else
12882 echo "$as_me: failed program was:" >&5
12883sed 's/^/| /' conftest.$ac_ext >&5
12884
12885rxvt_perl_link=no
12886fi
12887rm -f conftest.err conftest.$ac_objext \
12888 conftest$ac_exeext conftest.$ac_ext
12889 CXXFLAGS="$save_CXXFLAGS"
12890 LIBS="$save_LIBS"
12891
12892 if test x$rxvt_perl_link = xyes; then
12893 echo "$as_me:$LINENO: result: ok" >&5
12894echo "${ECHO_T}ok" >&6
12895
12896cat >>confdefs.h <<\_ACEOF
12897#define ENABLE_PERL 1
12898_ACEOF
12899
12900 IF_PERL=
12901 PERL_O=rxvtperl.o
12902 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`"
12903 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`"
12904 PERLPRIVLIBEXP="`$PERL -MConfig -e 'print $Config{privlibexp}'`"
12905 else
12906 support_perl=no
12907 echo "$as_me:$LINENO: result: no, unable to link" >&5
12908echo "${ECHO_T}no, unable to link" >&6
12909 fi
12910 else
12911 { { echo "$as_me:$LINENO: error: no working perl found" >&5
12912echo "$as_me: error: no working perl found" >&2;}
12913 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; }
12914 support_perl=no
12915 fi
12916fi
12917
12918
12919
12920
12921
12922
12923
12924if test x$support_perl = xyes; then
12925 support_frills=yes
12926fi
12059 12927
12060 12928
12061CFLAGS=${CFLAGS--O} 12929CFLAGS=${CFLAGS--O}
12062LDFLAGS=${LDFLAGS--O} 12930LDFLAGS=${LDFLAGS--O}
12063 12931
12844s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t 13712s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t
12845s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t 13713s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t
12846s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t 13714s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t
12847s,@rxvt_intp_define@,$rxvt_intp_define,;t t 13715s,@rxvt_intp_define@,$rxvt_intp_define,;t t
12848s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 13716s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
13717s,@PERL@,$PERL,;t t
13718s,@PERLLIB@,$PERLLIB,;t t
13719s,@PERLFLAGS@,$PERLFLAGS,;t t
13720s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
13721s,@IF_PERL@,$IF_PERL,;t t
13722s,@PERL_O@,$PERL_O,;t t
12849s,@DEBUG@,$DEBUG,;t t 13723s,@DEBUG@,$DEBUG,;t t
12850s,@DINCLUDE@,$DINCLUDE,;t t 13724s,@DINCLUDE@,$DINCLUDE,;t t
12851s,@DLIB@,$DLIB,;t t 13725s,@DLIB@,$DLIB,;t t
12852s,@include_stdint_h@,$include_stdint_h,;t t 13726s,@include_stdint_h@,$include_stdint_h,;t t
12853s,@include_stdarg_h@,$include_stdarg_h,;t t 13727s,@include_stdarg_h@,$include_stdarg_h,;t t
13394 utmp file: $rxvt_cv_path_utmp 14268 utmp file: $rxvt_cv_path_utmp
13395 utmpx file: $rxvt_cv_path_utmpx 14269 utmpx file: $rxvt_cv_path_utmpx
13396 wtmp file: $rxvt_cv_path_wtmp 14270 wtmp file: $rxvt_cv_path_wtmp
13397 wtmpx file: $rxvt_cv_path_wtmpx 14271 wtmpx file: $rxvt_cv_path_wtmpx
13398 lastlog file: $rxvt_cv_path_lastlog 14272 lastlog file: $rxvt_cv_path_lastlog
13399 ttys/ttytab file: $rxvt_cv_path_ttytab" 14273 ttys/ttytab file: $rxvt_cv_path_ttytab
14274 embedded perl: $support_perl"
13400 echo 14275 echo
13401fi 14276fi
13402if test x$term != x; then 14277if test x$term != x; then
13403 echo " set TERM to: $term" 14278 echo " set TERM to: $term"
13404fi 14279fi
13437 14312
13438echo " *** Optionally check src/feature.h for further options ***" 14313echo " *** Optionally check src/feature.h for further options ***"
13439echo 14314echo
13440 14315
13441echo ".----------------------------------------------------------------." 14316echo ".----------------------------------------------------------------."
13442echo ". NOTE: most features are disabled by default, try ." 14317echo ". NOTE: some features are disabled by default, try ."
13443echo ". configure --help to get an idea of the optional features, ." 14318echo ". configure --help to get an idea of the optional features, ."
13444echo ". or read ./README.configure ." 14319echo ". or read ./README.configure ."
13445echo ". ." 14320echo ". ."
13446echo ". The script ./reconf gives a reasonable baseline, try it if ." 14321echo ". The script ./reconf gives a reasonable baseline, try it if ."
13447echo ". you do not want to read documentation and still want some ." 14322echo ". you do not want to read documentation and still want some ."

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines